summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-09-10 00:27:19 +0000
committerLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-09-10 00:27:19 +0000
commitd5b507242182a5251e1bddbfb4d36cf4b6220129 (patch)
tree2479e75155e6ca8963d59e35547639d21f60efbf /dev-python
parentbbea94b434d3f0e06eac854698d55b56d5a15e00 (diff)
downloadbaldeagleos-repo-d5b507242182a5251e1bddbfb4d36cf4b6220129.tar.gz
baldeagleos-repo-d5b507242182a5251e1bddbfb4d36cf4b6220129.tar.xz
baldeagleos-repo-d5b507242182a5251e1bddbfb4d36cf4b6220129.zip
Updating liguros repo
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/cairocffi/cairocffi-0.9.0-r1.ebuild2
-rw-r--r--dev-python/coverage/coverage-5.2.1.ebuild2
-rw-r--r--dev-python/cryptography/cryptography-3.0.ebuild2
-rw-r--r--dev-python/feedparser/feedparser-6.0.0_beta1.ebuild2
-rw-r--r--dev-python/fsspec/Manifest1
-rw-r--r--dev-python/fsspec/fsspec-0.8.1.ebuild44
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-5.33.2.ebuild63
-rw-r--r--dev-python/matplotlib/matplotlib-3.3.0.ebuild2
-rw-r--r--dev-python/paste/Manifest1
-rw-r--r--dev-python/paste/paste-3.4.4.ebuild42
-rw-r--r--dev-python/pyrsistent/Manifest1
-rw-r--r--dev-python/pyrsistent/pyrsistent-0.17.2.ebuild23
-rw-r--r--dev-python/scrypt/Manifest1
-rw-r--r--dev-python/scrypt/scrypt-0.8.16.ebuild25
-rw-r--r--dev-python/sentry-sdk/sentry-sdk-0.16.3-r1.ebuild72
-rw-r--r--dev-python/sgmllib3k/sgmllib3k-1.0.0.ebuild2
-rw-r--r--dev-python/sphinx-gallery/Manifest1
-rw-r--r--dev-python/sphinx-gallery/sphinx-gallery-0.8.1.ebuild45
-rw-r--r--dev-python/urwid/urwid-2.1.1.ebuild2
-rw-r--r--dev-python/xcffib/xcffib-0.10.1.ebuild2
21 files changed, 328 insertions, 8 deletions
diff --git a/dev-python/cairocffi/cairocffi-0.9.0-r1.ebuild b/dev-python/cairocffi/cairocffi-0.9.0-r1.ebuild
index 40304f75259a..1cab1ff06f05 100644
--- a/dev-python/cairocffi/cairocffi-0.9.0-r1.ebuild
+++ b/dev-python/cairocffi/cairocffi-0.9.0-r1.ebuild
@@ -16,7 +16,7 @@ SRC_URI="mirror://pypi/${MY_P:0:1}/${MY_PN}/${MY_P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="amd64 ~arm arm64 ~ppc ~ppc64 x86"
+KEYWORDS="amd64 ~arm arm64 ~ppc ppc64 x86"
IUSE="test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/coverage/coverage-5.2.1.ebuild b/dev-python/coverage/coverage-5.2.1.ebuild
index ff390f069806..fb3372f832ae 100644
--- a/dev-python/coverage/coverage-5.2.1.ebuild
+++ b/dev-python/coverage/coverage-5.2.1.ebuild
@@ -14,7 +14,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha ~amd64 arm arm64 ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="~alpha ~amd64 arm arm64 ~ia64 ~mips ~ppc ppc64 ~riscv ~s390 sparc ~x86"
#IUSE="test"
# The tests are impossible to appease. Please run them externally
# via tox. Or fix the ebuild if you have hours of time to spend
diff --git a/dev-python/cryptography/cryptography-3.0.ebuild b/dev-python/cryptography/cryptography-3.0.ebuild
index 4eb632133498..e628a8737b20 100644
--- a/dev-python/cryptography/cryptography-3.0.ebuild
+++ b/dev-python/cryptography/cryptography-3.0.ebuild
@@ -16,7 +16,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
LICENSE="|| ( Apache-2.0 BSD )"
SLOT="0"
-KEYWORDS="~alpha ~amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+KEYWORDS="~alpha ~amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ppc64 ~s390 sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
IUSE="libressl idna test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/feedparser/feedparser-6.0.0_beta1.ebuild b/dev-python/feedparser/feedparser-6.0.0_beta1.ebuild
index 2ae86512f0bb..7a04f2fbde6c 100644
--- a/dev-python/feedparser/feedparser-6.0.0_beta1.ebuild
+++ b/dev-python/feedparser/feedparser-6.0.0_beta1.ebuild
@@ -18,7 +18,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="BSD-2"
SLOT="0"
-KEYWORDS="~alpha ~amd64 arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+KEYWORDS="~alpha ~amd64 arm ~arm64 ~hppa ~ia64 ~ppc ppc64 ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
RDEPEND="dev-python/sgmllib3k[${PYTHON_USEDEP}]"
diff --git a/dev-python/fsspec/Manifest b/dev-python/fsspec/Manifest
index f348eb423328..69df498f4793 100644
--- a/dev-python/fsspec/Manifest
+++ b/dev-python/fsspec/Manifest
@@ -1,2 +1,3 @@
DIST filesystem_spec-0.7.4.tar.gz 222128 BLAKE2B b111b8194e2c31065a26dcd952aaadf0bc39bf75e94b10f79a387dc1b66838de820bcdcd90af60533dbbd33cfcc275470ccd82b98d0c82154f0633efab355187 SHA512 086e7e7905ff4a55b7027d2b005fd875200bf40469ea4b36effb9805a3416145ba4c709c4a6c8a3ac24a033cbd2104e7ebe401e2610db6c2d8548a63587b343a
DIST filesystem_spec-0.8.0.tar.gz 235922 BLAKE2B 5ca1ce8fe3932ace39f3623217b0918cc7f24c07e86357fd4d3d56630010c37c33e94f0419f5fd6bb86292751ccc93efae305ad3c86c4f94a54b0ae360c9a07d SHA512 55513650f1795657ce274478d4360f2cfc3d2bbd8114df7a458fb3a20277b1594e48b5be38e26154a3af525a169f1e4b3d3c0e387bf3889b78350bacf12cc02b
+DIST filesystem_spec-0.8.1.tar.gz 238298 BLAKE2B a4a5fd16b10de1420a33cdc3ee5a37b3f9c93a9a5ccf179f0b022897bb41c8f22cd517bad7ca8ac3c43190e9fcc92b51142a58349a6b1f51274d27e5da1152f3 SHA512 1447f2fb2fc27b5d3ed18cdf43df3c1da9f0bbc03d2dbd0cd69631cfa629c74d2e35358f8bb560b7d2a7d9bb9b7512e2fcf0f7ad6a2f364334748c0026e4b6a6
diff --git a/dev-python/fsspec/fsspec-0.8.1.ebuild b/dev-python/fsspec/fsspec-0.8.1.ebuild
new file mode 100644
index 000000000000..e6e25af0bfa1
--- /dev/null
+++ b/dev-python/fsspec/fsspec-0.8.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+inherit distutils-r1
+
+MY_P=filesystem_spec-${PV}
+
+DESCRIPTION="A specification that python filesystems should adhere to"
+HOMEPAGE="https://github.com/intake/filesystem_spec/
+ https://pypi.org/project/fsspec/"
+SRC_URI="
+ https://github.com/intake/filesystem_spec/archive/${PV}.tar.gz
+ -> ${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+BDEPEND="
+ dev-python/versioneer[${PYTHON_USEDEP}]
+ test? (
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-vcs/git
+ )"
+
+distutils_enable_tests pytest
+
+src_test() {
+ git config --global user.email "you@example.com" || die
+ git config --global user.name "Your Name" || die
+ distutils-r1_src_test
+}
+
+python_test() {
+ # sftp and smb require server started via docker
+ pytest -vv \
+ --ignore fsspec/implementations/tests/test_sftp.py \
+ --ignore fsspec/implementations/tests/test_smb.py ||
+ die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index d576a7844acc..5171c370cfb5 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -12,3 +12,4 @@ DIST hypothesis-python-5.30.1.tar.gz 9074506 BLAKE2B 00ee6b7244e9bb41d0192348380
DIST hypothesis-python-5.32.0.tar.gz 9075649 BLAKE2B c2b375ff45e1e5ad03dc4e94d4947759ef598db5737c96d7fe7367c69a4c284d379bcfac7825a7f4e57c68c18f50164620150ead2cc8ed9e9ee1a912c896ec09 SHA512 0215a5e701f67ab5046eeaad1b158e0b85568b1680bff1a51036f67e0e77c8087fa86e1c69b9c6f6de50a65f220dcdd724ccb7d2df1e3b6d836841d193ee8b16
DIST hypothesis-python-5.33.0.tar.gz 9075651 BLAKE2B 41833eff5463c596a5eba184d23a705a7c009221f821846a46462f4d79a6b117b97f71354b44afe14b51c655658628519384b6cbec3a11b5188b6f7942199f09 SHA512 0b7a1cc3b0676205c2292585513ab6ac339b08cf10138bb10340ad69af26005c194580713baeb8f704a8fe2f39709c9b643a23026b64a6300fe972b9c847d044
DIST hypothesis-python-5.33.1.tar.gz 9075721 BLAKE2B a880640e1c54bb2cf4206519409f36f7af7cb21ba5d76a0245b2735bc37ac2b7772fabf3dea50b48b7c1221704dae8a4390dc441435fc569bfae92e4230ee820 SHA512 207e8affe5bf8e4d719d000ef67f0e0945d01a9785624abcf04528b602c66c9512a2f621f827962b214a17b6d1e001045059a0c75b8f8cdd1abd5db3e75b5a7e
+DIST hypothesis-python-5.33.2.tar.gz 9084086 BLAKE2B 058288af5a799a1fa9ca0f0526ff966bedd495c86f9066cd940610836e64281fd76bf342c898fff0189dc336eec4c741f52d6f7bf161703bcf7c9b8a757d6429 SHA512 495a8985dff9f34bd0f88076a0b8777d368162a7297cf35f2402cbacac8f1601ee31567f0f75ac7513f91f8aeca648e9de821b88661933226278287ae03eeca6
diff --git a/dev-python/hypothesis/hypothesis-5.33.2.ebuild b/dev-python/hypothesis/hypothesis-5.33.2.ebuild
new file mode 100644
index 000000000000..d016eb0fc6a4
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-5.33.2.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{5,6,7,8,9} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 eutils multiprocessing
+
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="https://github.com/HypothesisWorks/hypothesis https://pypi.org/project/hypothesis/"
+SRC_URI="https://github.com/HypothesisWorks/${PN}/archive/${PN}-python-${PV}.tar.gz"
+S="${WORKDIR}/${PN}-${PN}-python-${PV}/${PN}-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~riscv ~x86"
+IUSE="cli test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' python3_{6..9})
+ )
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ >=dev-python/pytest-5.3.5[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/typing-3.7.4.1
+ )
+"
+
+python_prepare() {
+ if ! use cli || [[ ${EPYTHON} != python* ]]; then
+ sed -i -e '/console_scripts/d' setup.py || die
+ fi
+}
+
+python_test() {
+ pytest -vv tests/cover tests/pytest tests/quality \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")" ||
+ die "Tests fail with ${EPYTHON}"
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/matplotlib/matplotlib-3.3.0.ebuild b/dev-python/matplotlib/matplotlib-3.3.0.ebuild
index de9e2ba235d0..f2b3a2bf8ad6 100644
--- a/dev-python/matplotlib/matplotlib-3.3.0.ebuild
+++ b/dev-python/matplotlib/matplotlib-3.3.0.ebuild
@@ -23,7 +23,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
# Fonts: BitstreamVera, OFL-1.1
LICENSE="BitstreamVera BSD matplotlib MIT OFL-1.1"
SLOT="0"
-KEYWORDS="~amd64 ~arm arm64 ~ppc ~ppc64 ~x86"
+KEYWORDS="~amd64 ~arm arm64 ~ppc ppc64 ~x86"
IUSE="cairo doc excel examples gtk3 latex qt5 tk wxwidgets"
# internal copy of pycxx highly patched
diff --git a/dev-python/paste/Manifest b/dev-python/paste/Manifest
index 7f91de2f3c9d..debd229bd226 100644
--- a/dev-python/paste/Manifest
+++ b/dev-python/paste/Manifest
@@ -1,2 +1,3 @@
DIST Paste-3.4.1.tar.gz 633491 BLAKE2B be599b9385ecad754fc431a936ccd78ee088825c88040986ddd4ccb3ca81342d642a23699ca7ef9338be5360703ce5d5a2d966ff9e405744b286fa3fe69bce41 SHA512 90b6bd33e83fde70691be6206ad1de653603900b88fade79f6960df22bb84c6e82c9b6f4ddc11406f4e206273a2b5591b81ca034f8f42a3e993b85b16d07e3f0
DIST Paste-3.4.3.tar.gz 630569 BLAKE2B fa81b60ad048a2c999d4e57992f5a5603680bf7505f13a8618a55425b388ef906ceb2e118821d689905a20e7ec2b31d27a6aecd704f529540db6c4436f30268c SHA512 0869a3330a74cc14f88fb5ce24183328ec38fed1fc5cd669b428f09ee2fcafc770e95c2f4dc8de86dfce4d66861bad26c9502cccb81966c519ca4593ada094b1
+DIST Paste-3.4.4.tar.gz 630575 BLAKE2B 1d81efae1e1a783daf2d3fa86eb2e80cb95173a4bb182326c27471e2612b7de047bb3d98c0943aba9600f9888d760f39edd7c93ff4c16fbd4c90f68ebaa0caf6 SHA512 f977fa02b6800be27f703115b87987dcf8a1e4edd681f253b20fb363bfe625109b424ec6a0faba066e1d074f55a2ba336e17654f899b3100c9e3c3252d38b5a6
diff --git a/dev-python/paste/paste-3.4.4.ebuild b/dev-python/paste/paste-3.4.4.ebuild
new file mode 100644
index 000000000000..5c16024316f2
--- /dev/null
+++ b/dev-python/paste/paste-3.4.4.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{5,6,7,8,9} pypy3 )
+
+inherit distutils-r1
+
+MY_P="Paste-${PV}"
+DESCRIPTION="Tools for using a Web Server Gateway Interface stack"
+HOMEPAGE="https://pypi.org/project/Paste/"
+SRC_URI="mirror://pypi/${MY_P::1}/${PN^}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos ~sparc-solaris"
+
+RDEPEND="dev-python/namespace-paste[${PYTHON_USEDEP}]
+ >=dev-python/six-1.4.0[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs
+
+python_prepare_all() {
+ # TODO: 'Address already in use'
+ sed -e 's:test_address_family_v4:_&:' \
+ -i tests/test_httpserver.py || die
+
+ # Remove a test that runs against the paste website.
+ rm -f tests/test_proxy.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ find "${D}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/pyrsistent/Manifest b/dev-python/pyrsistent/Manifest
index edd6c19a4c08..4c1f66c8fd2d 100644
--- a/dev-python/pyrsistent/Manifest
+++ b/dev-python/pyrsistent/Manifest
@@ -1,3 +1,4 @@
DIST pyrsistent-0.15.6.tar.gz 107424 BLAKE2B 432ce7223fee524cbcd65237171af6f0fa16d23dfcc65b7cb5bc8d19dc8216344bf21660d2acf9b07eb1bc9b883840c0b5de679cfe52a0f977e64cea21cd584f SHA512 42b259c66e118d5b09bcc64e57441729146ed9b40e9fd18cda83c4aa0523d5bc3acde3177113e1f2a1b5c1e3a14d15b369df9701a9218a88a656ba0359b5ff10
DIST pyrsistent-0.16.0.tar.gz 108012 BLAKE2B 62283b8ef478302964fc6b1869c3646c23b78762c5f4fad68aa239433c54d9c652544d5ce05dee18107c8f9604b689043d07f67b9396f6dce0cce3aab022e2de SHA512 d5764b1a185d4578bf308f338037e0546b06e79a3e7189b904e24e95e0e907bc98d7c1c68becc5549a541a5864df75aba6088cafa3558ecb0a63dafb22f5674a
DIST pyrsistent-0.17.0.tar.gz 106451 BLAKE2B 6d752f9d396b03cc6391979cb908b4b1a112e160e31961cd7d437f789c99a61c8dfa1406ad18c0873f96a3609e779e12cadcd2d75dd290e4ef4ca1a4e4feaf0e SHA512 e361b1e7e53153fd6d8195766e548a9c708624f2f8ba1c05c1c137306f11f336bffc95d62b6484ee810e71d96ca9faa703b1ebb4e8ff485f28371ecaf5ea27f1
+DIST pyrsistent-0.17.2.tar.gz 106594 BLAKE2B c6135f45b43d4742ac39c722636b42813c24823e5319dc34f4c3f2e97a0e311046bc7cfef305cc0710fb26c5b7b595963953307485645c35d1ccc75383ec08df SHA512 58b78457481b188b65bfbe29da1318128795732b8c98ff89b1bdec1741d821807ae120000ae79115b2c4881f328dd8853e7ae48b0406e0e7fc69fca3c41fcd6f
diff --git a/dev-python/pyrsistent/pyrsistent-0.17.2.ebuild b/dev-python/pyrsistent/pyrsistent-0.17.2.ebuild
new file mode 100644
index 000000000000..c6c35de1daef
--- /dev/null
+++ b/dev-python/pyrsistent/pyrsistent-0.17.2.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Persistent/Functional/Immutable data structures"
+HOMEPAGE="https://github.com/tobgu/pyrsistent/ https://pypi.org/project/pyrsistent/"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+BDEPEND="
+ test? (
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
diff --git a/dev-python/scrypt/Manifest b/dev-python/scrypt/Manifest
index 5b5d22bdd285..8b31f97dc316 100644
--- a/dev-python/scrypt/Manifest
+++ b/dev-python/scrypt/Manifest
@@ -1 +1,2 @@
DIST scrypt-0.8.15.tar.gz 53954 BLAKE2B 9f9bfc6ead25f14b9b3194853cd64a7b2244685d15a7d257e2395b0acf3fb968487fffc5d5eb5a245de1518b0740483d3e6feed841282b40ecec86ce178de46e SHA512 db5f688b341f816935a0fd5a538d8633a1e43c69c7228d9fc127459c9673528f92405170339a5a43eca86eb5a2ea17b951ac16a203993e452e05f2589914a66f
+DIST scrypt-0.8.16.tar.gz 54205 BLAKE2B ce4f86f8bacb4f12408604822a32c9f63f96a155469cca1d2aa50cf67fc9e9576432f13ef49694a9d7ce21696aedcef27419fc0d3aad67a87d16c3bf8c0f94c4 SHA512 9498637d1354a84021f2c069a919ff157ff189d1385453397a9c43e522de77af9d628a90d649d50e9243abfc0b96efe4e38b615322d83133137bad94d448ef06
diff --git a/dev-python/scrypt/scrypt-0.8.16.ebuild b/dev-python/scrypt/scrypt-0.8.16.ebuild
new file mode 100644
index 000000000000..fe476ccf9e25
--- /dev/null
+++ b/dev-python/scrypt/scrypt-0.8.16.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Bindings for the scrypt key derivation function library"
+HOMEPAGE="https://github.com/holgern/py-scrypt/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+SLOT="0"
+IUSE="libressl"
+
+RDEPEND="
+ !libressl? ( dev-libs/openssl:0= )
+ libressl? ( dev-libs/libressl:0= )
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_tests unittest
diff --git a/dev-python/sentry-sdk/sentry-sdk-0.16.3-r1.ebuild b/dev-python/sentry-sdk/sentry-sdk-0.16.3-r1.ebuild
new file mode 100644
index 000000000000..a77ca1c55313
--- /dev/null
+++ b/dev-python/sentry-sdk/sentry-sdk-0.16.3-r1.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python client for Sentry"
+HOMEPAGE="https://getsentry.com https://pypi.org/project/sentry-sdk/"
+SRC_URI="https://github.com/getsentry/sentry-python/archive/${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/sentry-python-${PV}"
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ dev-python/certifi[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ <dev-python/dnspython-2[${PYTHON_USEDEP}]
+ dev-python/flask-login[${PYTHON_USEDEP}]
+ dev-python/gevent[${PYTHON_USEDEP}]
+ dev-python/pytest-aiohttp[${PYTHON_USEDEP}]
+ dev-python/pytest-forked[${PYTHON_USEDEP}]
+ dev-python/pytest-localserver[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/aiocontextvars[${PYTHON_USEDEP}]
+ dev-python/contextvars[${PYTHON_USEDEP}]
+ ' python3_6)
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local deselect=(
+ # unpackaged 'executing'
+ --ignore tests/test_client.py
+ --ignore tests/integrations/django/test_basic.py
+ # unpackaged 'fakeredis'
+ --ignore tests/integrations/redis/test_redis.py
+ --ignore tests/integrations/rq/test_rq.py
+ # tests require Internet access
+ --ignore tests/integrations/stdlib/test_httplib.py
+ --ignore tests/integrations/requests/test_requests.py
+ # fails on py3.6, hangs on py3.7+
+ --deselect
+ 'tests/test_transport.py::test_transport_works[eventlet'
+ # TODO
+ --deselect
+ 'tests/test_basics.py::test_auto_enabling_integrations_catches_import_error'
+ # test_filename: apparently unhappy about pytest being called pytest
+ --deselect 'tests/utils/test_general.py::test_filename'
+ # test_circular_references: apparently fragile
+ --deselect
+ 'tests/integrations/threading/test_threading.py::test_circular_references'
+ )
+ [[ ${EPYTHON} == python3.6 ]] && deselect+=(
+ # broken with contextvars on py3.6
+ --deselect
+ 'tests/utils/test_contextvars.py::test_leaks[greenlet]'
+ --deselect
+ 'tests/test_transport.py::test_transport_works[greenlet'
+ )
+ pytest -vv "${deselect[@]}" || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/sgmllib3k/sgmllib3k-1.0.0.ebuild b/dev-python/sgmllib3k/sgmllib3k-1.0.0.ebuild
index 585eb63a3dcd..583ccf9c5a2c 100644
--- a/dev-python/sgmllib3k/sgmllib3k-1.0.0.ebuild
+++ b/dev-python/sgmllib3k/sgmllib3k-1.0.0.ebuild
@@ -12,4 +12,4 @@ SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
LICENSE="PSF-2"
SLOT="0"
-KEYWORDS="~alpha ~amd64 arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+KEYWORDS="~alpha ~amd64 arm ~arm64 ~hppa ~ia64 ~ppc ppc64 ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
diff --git a/dev-python/sphinx-gallery/Manifest b/dev-python/sphinx-gallery/Manifest
index d3f2ab5fa1ed..d906f438a2d9 100644
--- a/dev-python/sphinx-gallery/Manifest
+++ b/dev-python/sphinx-gallery/Manifest
@@ -1,2 +1,3 @@
DIST sphinx-gallery-0.3.1.tar.gz 88807 BLAKE2B 79218a1f438e2b8607c52b14f098c0136cb4d5ce15a12d82bdb3caf0c7c1090e7c4f210437fc660d8d4d19bf87bbaa2ec3c208d2dc8a77ad9deea5b5cefa3c05 SHA512 c51eaaef63a7496e223a4541d0560f694420b6ac4b2cde3779c405f0ab92d34aef7a37e4c41da9e59bd8a050c8d3eed330df3799e76a60ae35cdbc6f7c9cb8c1
DIST sphinx-gallery-0.8.0.tar.gz 6501815 BLAKE2B ac4b131ea9395bc230e2bab57d3823951365828f7d56ec0317878014a349ebba02e372625551f033784f30788f7c1ed110a2ba901834c9cec7cd18fa0b7ae27f SHA512 8646dd903dc6006d9333d5c9e94d2ce3cdfdc97a84a009fc3fb7abca75b0b0428b9c186625d18eb5dbdb29649efbb82a567815e82d46712bc07b1be2d0e95f1a
+DIST sphinx-gallery-0.8.1.tar.gz 6502920 BLAKE2B 35f6bfe6039910518c21dadcdb7d814f4400baf3996ee5df21ff6a16b8fe87b0ec0355073b854e9b07ab7f2aced6d2de4453b9ebb2aa142506e9cbfebb99ea4c SHA512 0e77b75fe1d9c44d68235603529c116fad0460156d59f6b2f41ff299e42074930694f1768d99fe585428734617d18e1f1379fdc14e359b0274d1614c092141f6
diff --git a/dev-python/sphinx-gallery/sphinx-gallery-0.8.1.ebuild b/dev-python/sphinx-gallery/sphinx-gallery-0.8.1.ebuild
new file mode 100644
index 000000000000..e8aaf246596c
--- /dev/null
+++ b/dev-python/sphinx-gallery/sphinx-gallery-0.8.1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx extension to automatically generate an examples gallery"
+HOMEPAGE="
+ https://sphinx-gallery.github.io/
+ https://github.com/sphinx-gallery/sphinx-gallery"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND="
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/joblib[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e 's:--cov-report= --cov=sphinx_gallery::' setup.cfg || die
+
+ # tests require internet
+ sed -e 's:test_embed_code_links_get_data:_&:' \
+ -i sphinx_gallery/tests/test_docs_resolv.py || die
+ sed -e 's:test_run_sphinx:_&:' \
+ -e 's:test_embed_links_and_styles:_&:' \
+ -i sphinx_gallery/tests/test_full.py || die
+
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/urwid/urwid-2.1.1.ebuild b/dev-python/urwid/urwid-2.1.1.ebuild
index e454ac3d8538..6e95c8b47e94 100644
--- a/dev-python/urwid/urwid-2.1.1.ebuild
+++ b/dev-python/urwid/urwid-2.1.1.ebuild
@@ -14,7 +14,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
IUSE="examples"
PATCHES=(
diff --git a/dev-python/xcffib/xcffib-0.10.1.ebuild b/dev-python/xcffib/xcffib-0.10.1.ebuild
index aad70853dd2f..175cd81c73ff 100644
--- a/dev-python/xcffib/xcffib-0.10.1.ebuild
+++ b/dev-python/xcffib/xcffib-0.10.1.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="amd64 ~arm arm64 ~ppc ~ppc64 x86"
+KEYWORDS="amd64 ~arm arm64 ~ppc ppc64 x86"
DEPEND="x11-libs/libxcb"
RDEPEND="